"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const line = require("../../../../chartConfiguration/echarts/line.js");
const SettingItem = require("../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.js");
const SettingItemBox = require("../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.js");
const CollapseItem_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.js");
const GlobalSetting_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/GlobalSetting.vue2.js");
require("../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
require("../../../../../store/modules/designStore/designStore.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../settings/designSetting.js");
require("../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const seriesList = runtimeCore_esmBundler.computed(() => {
      return props.optionData.series;
    });
    return (_ctx, _cache) => {
      const _component_n_color_picker = runtimeCore_esmBundler.resolveComponent("n-color-picker");
      const _component_n_input_number = runtimeCore_esmBundler.resolveComponent("n-input-number");
      const _component_n_select = runtimeCore_esmBundler.resolveComponent("n-select");
      const _component_n_button = runtimeCore_esmBundler.resolveComponent("n-button");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, [
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(GlobalSetting_vue_vue_type_script_setup_true_lang.default), { optionData: __props.optionData }, null, 8, ["optionData"]),
        (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(seriesList.value, (item, index) => {
          return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(CollapseItem_vue_vue_type_script_setup_true_lang.default), {
            key: index,
            name: `样式`,
            expanded: true
          }, {
            default: runtimeCore_esmBundler.withCtx(() => [
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "线条" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "颜色" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                        size: "small",
                        modes: ["hex"],
                        value: item.lineStyle.color.colorStops[0].color,
                        "onUpdate:value": ($event) => item.lineStyle.color.colorStops[0].color = $event
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024),
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "颜色" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                        size: "small",
                        modes: ["hex"],
                        value: item.lineStyle.color.colorStops[1].color,
                        "onUpdate:value": ($event) => item.lineStyle.color.colorStops[1].color = $event
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024),
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "宽度" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                        value: item.lineStyle.width,
                        "onUpdate:value": ($event) => item.lineStyle.width = $event,
                        min: 1,
                        max: 100,
                        size: "small",
                        placeholder: "自动计算"
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024),
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "类型" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_select, {
                        value: item.lineStyle.type,
                        "onUpdate:value": ($event) => item.lineStyle.type = $event,
                        size: "small",
                        options: reactivity_esmBundler.unref(line.lineConf).lineStyle.type
                      }, null, 8, ["value", "onUpdate:value", "options"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "实心点" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "大小" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                        value: item.symbolSize,
                        "onUpdate:value": ($event) => item.symbolSize = $event,
                        min: 1,
                        max: 100,
                        size: "small",
                        placeholder: "自动计算"
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), {
                name: "阴影",
                alone: true
              }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "颜色" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                        size: "small",
                        modes: ["hex"],
                        value: item.lineStyle.shadowColor,
                        "onUpdate:value": ($event) => item.lineStyle.shadowColor = $event
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "设置" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "阴影" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_button, {
                        size: "small",
                        onClick: ($event) => item.lineStyle.shadowColor = "rgba(0, 0, 0, 0)"
                      }, {
                        default: runtimeCore_esmBundler.withCtx(() => [
                          runtimeCore_esmBundler.createTextVNode(" 去除阴影 ")
                        ]),
                        _: 2
                      }, 1032, ["onClick"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024)
            ]),
            _: 2
          }, 1024);
        }), 128))
      ], 64);
    };
  }
});
exports.default = _sfc_main;
